info:
  name: AJ Console - Search schemas
  type: http
  seq: 4

http:
  method: GET
  url: "{{elixFormsRootUrl}}/AJSRV/metadata/search?SEARCH_IN[]=616&PAGE=1&AJL=it&PAGESIZE=80&SECURE=true"
  headers:
    - name: x-requested-with
      value: XMLHttpRequest
  params:
    - name: SEARCH_IN[]
      value: "616"
      type: query
    - name: PAGE
      value: "1"
      type: query
    - name: AJL
      value: it
      type: query
    - name: PAGESIZE
      value: "80"
      type: query
    - name: SECURE
      value: "true"
      type: query
  auth: inherit

runtime:
  scripts:
    - type: before-request
      code: |-
        /*
        const noCookieFoundError = "No AJSRV cookie found!";

        var ajsrvCookie = bru.getVar("elixFormsAjsrvCookie");

        if (ajsrvCookie == null || ajsrvCookie === "") {
          console.error(noCookieFoundError, ajsrvCookie);
          throw new Error(noCookieFoundError);
        }
        */

settings:
  encodeUrl: true
  timeout: 0
  followRedirects: true
  maxRedirects: 5
  forwardAuthorizationHeader: true

examples:
  - name: example
    request:
      url: "{{elixFormsRootUrl}}/AJSRV/metadata/search?SEARCH_IN[]=616&PAGE=1&AJL=it&PAGESIZE=80&SECURE=true"
      method: GET
      headers:
        - name: Cookie
          value: "{{elixFormsAjsrvCookie}}"
        - name: x-requested-with
          value: XMLHttpRequest
      params:
        - name: SEARCH_IN[]
          value: "616"
          type: query
        - name: PAGE
          value: "1"
          type: query
        - name: AJL
          value: it
          type: query
        - name: PAGESIZE
          value: "80"
          type: query
        - name: SECURE
          value: "true"
          type: query
    response:
      status: 200
      statusText: OK
      headers:
        - name: date
          value: Wed, 26 Aug 2026 10:35:04 GMT
        - name: server
          value: Apache
        - name: content-security-policy
          value: "default-src https: data: 'unsafe-inline' 'unsafe-eval'; img-src 'self' blob: data: https:;"
        - name: content-type
          value: application/json;charset=UTF-8
        - name: content-length
          value: "438"
        - name: set-cookie
          value: JSESSIONID=da342d4412c8c3fea86b58918c9e; Path=/; HttpOnly
        - name: strict-transport-security
          value: max-age=31536000; includeSubDomains
        - name: x-frame-options
          value: SAMEORIGIN
        - name: x-xss-protection
          value: "1"
        - name: x-content-type-options
          value: nosniff
        - name: referrer-policy
          value: unsafe-url
        - name: keep-alive
          value: timeout=10, max=500
        - name: connection
          value: Keep-Alive
      body:
        type: json
        data: |-
          {
            "totalRecords": 0,
            "pageSize": 80,
            "numPages": 0,
            "currentPage": 1,
            "columns": [
              {
                "key": "ID_OBJECT",
                "value": "ID_OBJECT"
              },
              {
                "key": "S_616_ID_GENERICSCHEMA",
                "value": "S_616_ID_GENERICSCHEMA"
              },
              {
                "key": "S_616_COL0014",
                "value": "Titolo template"
              },
              {
                "key": "S_616_COL0010",
                "value": "Tag azione"
              },
              {
                "key": "S_616_COL0011",
                "value": "Tag procedimento"
              },
              {
                "key": "S_616_COL0009",
                "value": "Template"
              },
              {
                "key": "S_616_COL0012",
                "value": "Tag modulo"
              }
            ],
            "data": [],
            "extraData": {}
          }
